Bug 471305 - add sequence number to delivered messages and ensure total ordering through exchange [RHEL4]
add sequence number to delivered messages and ensure total ordering through e...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
urgent Severity medium
: ---
: ---
Assigned To: messaging-bugs
Kim van der Riet
:
Depends On: 452015
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 16:36 EST by Justin Ross
Modified: 2009-02-04 11:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 11:16:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Ross 2008-11-12 16:36:28 EST
+++ This bug was initially created as a clone of Bug #452015 +++

Would be useful for a queue sequence number to be added to all delivered
messages as a custom header.

--- Additional comment from gsim@redhat.com on 2008-09-30 11:04:58 EDT ---

Requirement is for a custom exchange that imposes a total order on all routed messages (messages from different publishers will be enqueued on all matching queues in the same order) and that additionally adds a sequence number to the routed messages.

--- Additional comment from cctrieloff@redhat.com on 2008-10-23 13:30:20 EDT ---


This has been added to the exchange,

see http://cwiki.apache.org/qpid/cheat-sheet-for-configuring-exchange-options.html

to test feature
Comment 1 Frantisek Reznicek 2008-12-01 05:24:58 EST
RHTS test qpid_test_msg_ordering_bz452015 proves that feature is implemented and functional.
Validated on RHEL 4.7 / 5.2, i386 / x86_64 on packages:
rhm-0.3.2804-4.el5, qpidd-0.3.719671-1.el5
rhm-0.3.2804-3.el4, qpidd-0.3.719671-4.el4
->VERIFIED
Comment 3 errata-xmlrpc 2009-02-04 11:16:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0038.html

Note You need to log in before you can comment on or make changes to this bug.